Bug 1377313 - mutter 3.21.92-1.fc25 prevents libreoffice from opening existing files
Summary: mutter 3.21.92-1.fc25 prevents libreoffice from opening existing files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: WaylandRelated F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-09-19 12:27 UTC by Kamil Páral
Modified: 2016-09-22 07:31 UTC (History)
8 users (show)

Fixed In Version: gtk3-3.21.6-2.fc25 mutter-3.21.92-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 07:31:54 UTC


Attachments (Terms of Use)
running libreoffice with WAYLAND_DEBUG=1 (5.69 KB, text/plain)
2016-09-19 12:30 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 771561 None None None 2016-09-19 14:37:49 UTC

Description Kamil Páral 2016-09-19 12:27:57 UTC
Description of problem:
After update to mutter and gnome-shell 3.21.92-1.fc25, I can no longer open existing libreoffice files (I tested writer and impress). I see libreoffice loading screen, which disappears and no app window appears. Trying to do so from console prints either:

$ libreoffice --impress ~/Documents/sample.odp 
(soffice:1924): Gdk-WARNING **: Lost connection to Wayland compositor.
terminate called after throwing an instance of 'com::sun::star::uno::RuntimeException'
$ echo $?
1

or:

$ libreoffice --impress ~/Documents/sample.odp 
(soffice:1959): Gdk-WARNING **: Error 71 (Protocol error) dispatching to Wayland display.
$ echo $?
1


I can start libreoffice writer/impress without any arguments, and then open the file using the file picker, most of the times - but I've seen a case where it "crashed" as well.

After I try to start libreoffice unsuccessfully a few times, it's no longer possible to start it even without any document from gnome overview (terminal works) - I believe it's related to bug 1376471.


This is the update that broke it:
    Upgraded gnome-shell-3.21.91-1.fc25.x86_64 @fedora
    Upgrade              3.21.92-1.fc25.x86_64 @updates-testing
    Upgraded mutter-3.21.91-2.fc25.x86_64      @fedora
    Upgrade         3.21.92-1.fc25.x86_64      @updates-testing

With mutter and gnome-shell 3.21.91-1.fc25 everything works fine.

Version-Release number of selected component (if applicable):
gnome-shell-3.21.92-1.fc25.x86_64
gtk3-3.21.5-1.fc25.x86_64
libreoffice-core-5.2.2.1-2.fc25.x86_64
mutter-3.21.92-1.fc25.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create writer/impress document, save it
2. try to open it by double clicking
3. try to open it from terminal
4. see errors like above

Comment 1 Kamil Páral 2016-09-19 12:30:23 UTC
Created attachment 1202471 [details]
running libreoffice with WAYLAND_DEBUG=1

Comment 2 Kamil Páral 2016-09-19 12:32:08 UTC
Proposing as a FinalBlocker:
"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. "
https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria#Default_application_functionality

Please note that the offending update is still in updates-testing atm.

Comment 3 Kamil Páral 2016-09-19 13:15:34 UTC
I see a very similar problem when trying to start epiphany:

$ epiphany 
WaylandCompositor requires eglCreateImage and eglDestroyImage.
Nested Wayland compositor could not initialize EGL
(epiphany:2174): Gdk-WARNING **: Error 71 (Protocol error) dispatching to Wayland display.

However, I see this only in a VM, on bare metal it works fine (libreoffice is broken even on bare metal). Not sure if it is related or not.

Comment 4 Kamil Páral 2016-09-19 13:17:45 UTC
(In reply to Kamil Páral from comment #3)
> However, I see this only in a VM, on bare metal it works fine (libreoffice
> is broken even on bare metal). Not sure if it is related or not.

Correction, I also see this on bare metal, but if I start epiphany from gnome overview, then epiphany is immediately closed and journal contains:
Sep 19 15:16:07 dryad epiphany[10113]: Error 71 (Protocol error) dispatching to Wayland display.

However, starting it from terminal works fine, for some reason.

Comment 5 Olivier Fourdan 2016-09-19 14:37:50 UTC
See https://bugzilla.gnome.org/show_bug.cgi?id=771561

Comment 6 Olivier Fourdan 2016-09-19 14:39:29 UTC
Can you try applying https://bugzilla.gnome.org/attachment.cgi?id=335859&action=diff to gtk+ and reproduce?

Comment 7 Kalev Lember 2016-09-19 15:16:54 UTC
Thanks Olivier! I went ahead and backported this to gtk3-3.21.6-2.fc25 for easy testing.

Comment 8 Fedora Update System 2016-09-19 16:06:37 UTC
atomix-3.21.92-1.fc25 baobab-3.21.92-1.fc25 cheese-3.21.92-1.fc25 dconf-editor-3.21.92-1.fc25 devhelp-3.21.92-1.fc25 epiphany-3.21.92-1.fc25 evince-3.21.92-1.fc25 evolution-3.21.92-1.fc25 evolution-data-server-3.21.92-1.fc25 evolution-ews-3.21.92-1.fc25 evolution-mapi-3.21.92-1.fc25 file-roller-3.21.91-2.fc25 five-or-more-3.21.92-1.fc25 gdk-pixbuf2-2.35.5-1.fc25 gitg-3.21.92-1.fc25 glib2-2.49.7-1.fc25 glibmm24-2.49.7-1.fc25 gnome-2048-3.21.92-1.fc25 gnome-boxes-3.21.92-1.fc25 gnome-calculator-3.21.92-1.fc25 gnome-calendar-3.21.92-1.fc25 gnome-color-manager-3.21.92-1.fc25 gnome-desktop3-3.21.92-1.fc25 gnome-documents-3.21.92-1.fc25 gnome-initial-setup-3.21.92-1.fc25 gnome-logs-3.21.92-1.fc25 gnome-maps-3.21.92-2.fc25 gnome-mines-3.21.92-1.fc25 gnome-multi-writer-3.21.92-1.fc25 gnome-music-3.21.92-1.fc25 gnome-nibbles-3.21.92-1.fc25 gnome-online-accounts-3.21.92-1.fc25 gnome-packagekit-3.21.92-1.fc25 gnome-photos-3.21.92-1.fc25 gnome-power-manager-3.21.92-1.fc25 gnome-settings-daemon-3.21.92.1-1.fc25 gnome-shell-3.21.92-1.fc25 gnome-shell-extension-background-logo-3.21.92-1.fc25 gnome-shell-extensions-3.21.92-1.fc25 gnome-software-3.21.92-1.fc25 gnome-sound-recorder-3.21.92-1.fc25 gnome-system-monitor-3.21.92-1.fc25 gnome-taquin-3.21.92-1.fc25 gnome-terminal-3.21.92-1.fc25 gobject-introspection-1.49.2-1.fc25 grilo-0.3.2-1.fc25 grilo-plugins-0.3.3-1.fc25 gtk3-3.21.6-2.fc25 gtkmm30-3.21.6-1.fc25 gtksourceview3-3.21.6-1.fc25 gvfs-1.29.92-1.fc25 iagno-3.21.92-1.fc25 libgnomekbd-3.21.92-1.fc25 lightsoff-3.21.92-1.fc25 mutter-3.21.92-1.fc25 nautilus-3.21.92-1.fc25 orca-3.21.92-1.fc25 pango-1.40.3-1.fc25 polari-3.21.92-1.fc25 pygobject3-3.21.92-1.fc25 rygel-0.31.6-1.fc25 shotwell-0.23.7-1.fc25 sound-juicer-3.21.92-1.fc25 swell-foop-3.21.92-1.fc25 tracker-1.9.2-1.fc25 vinagre-3.21.92-1.fc25 vino-3.21.92-1.fc25 vte291-0.45.92-1.fc25 webkitgtk4-2.13.92-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 9 Fedora Update System 2016-09-19 16:07:03 UTC
atomix-3.21.92-1.fc25 baobab-3.21.92-1.fc25 cheese-3.21.92-1.fc25 dconf-editor-3.21.92-1.fc25 devhelp-3.21.92-1.fc25 epiphany-3.21.92-1.fc25 evince-3.21.92-1.fc25 evolution-3.21.92-1.fc25 evolution-data-server-3.21.92-1.fc25 evolution-ews-3.21.92-1.fc25 evolution-mapi-3.21.92-1.fc25 file-roller-3.21.91-2.fc25 five-or-more-3.21.92-1.fc25 gdk-pixbuf2-2.35.5-1.fc25 gitg-3.21.92-1.fc25 glib2-2.49.7-1.fc25 glibmm24-2.49.7-1.fc25 gnome-2048-3.21.92-1.fc25 gnome-boxes-3.21.92-1.fc25 gnome-calculator-3.21.92-1.fc25 gnome-calendar-3.21.92-1.fc25 gnome-color-manager-3.21.92-1.fc25 gnome-desktop3-3.21.92-1.fc25 gnome-documents-3.21.92-1.fc25 gnome-initial-setup-3.21.92-1.fc25 gnome-logs-3.21.92-1.fc25 gnome-maps-3.21.92-2.fc25 gnome-mines-3.21.92-1.fc25 gnome-multi-writer-3.21.92-1.fc25 gnome-music-3.21.92-1.fc25 gnome-nibbles-3.21.92-1.fc25 gnome-online-accounts-3.21.92-1.fc25 gnome-packagekit-3.21.92-1.fc25 gnome-photos-3.21.92-1.fc25 gnome-power-manager-3.21.92-1.fc25 gnome-settings-daemon-3.21.92.1-1.fc25 gnome-shell-3.21.92-1.fc25 gnome-shell-extension-background-logo-3.21.92-1.fc25 gnome-shell-extensions-3.21.92-1.fc25 gnome-software-3.21.92-1.fc25 gnome-sound-recorder-3.21.92-1.fc25 gnome-system-monitor-3.21.92-1.fc25 gnome-taquin-3.21.92-1.fc25 gnome-terminal-3.21.92-1.fc25 gobject-introspection-1.49.2-1.fc25 grilo-0.3.2-1.fc25 grilo-plugins-0.3.3-1.fc25 gtk3-3.21.6-2.fc25 gtkmm30-3.21.6-1.fc25 gtksourceview3-3.21.6-1.fc25 gvfs-1.29.92-1.fc25 iagno-3.21.92-1.fc25 libgnomekbd-3.21.92-1.fc25 lightsoff-3.21.92-1.fc25 mutter-3.21.92-1.fc25 nautilus-3.21.92-1.fc25 orca-3.21.92-1.fc25 pango-1.40.3-1.fc25 polari-3.21.92-1.fc25 pygobject3-3.21.92-1.fc25 rygel-0.31.6-1.fc25 shotwell-0.23.7-1.fc25 sound-juicer-3.21.92-1.fc25 swell-foop-3.21.92-1.fc25 tracker-1.9.2-1.fc25 vinagre-3.21.92-1.fc25 vino-3.21.92-1.fc25 vte291-0.45.92-1.fc25 webkitgtk4-2.13.92-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 10 Petr Schindler 2016-09-19 18:11:40 UTC
Discussed at 2016-09-19 blocker review meeting: [1]. 

This bug was accepted as Final blocker: This bug violates the final criterion "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-09-19/

Comment 11 Kamil Páral 2016-09-20 08:08:19 UTC
(In reply to Kalev Lember from comment #7)
> Thanks Olivier! I went ahead and backported this to gtk3-3.21.6-2.fc25 for
> easy testing.

That fixes the issue.

Comment 12 Fedora Update System 2016-09-20 20:00:33 UTC
atomix-3.21.92-1.fc25, baobab-3.21.92-1.fc25, cheese-3.21.92-1.fc25, dconf-editor-3.21.92-1.fc25, devhelp-3.21.92-1.fc25, epiphany-3.21.92-1.fc25, evince-3.21.92-1.fc25, evolution-3.21.92-1.fc25, evolution-data-server-3.21.92-1.fc25, evolution-ews-3.21.92-1.fc25, evolution-mapi-3.21.92-1.fc25, file-roller-3.21.91-2.fc25, five-or-more-3.21.92-1.fc25, gdk-pixbuf2-2.35.5-1.fc25, gitg-3.21.92-1.fc25, glib2-2.49.7-1.fc25, glibmm24-2.49.7-1.fc25, gnome-2048-3.21.92-1.fc25, gnome-boxes-3.21.92-1.fc25, gnome-calculator-3.21.92-1.fc25, gnome-calendar-3.21.92-1.fc25, gnome-color-manager-3.21.92-1.fc25, gnome-desktop3-3.21.92-1.fc25, gnome-documents-3.21.92-1.fc25, gnome-initial-setup-3.21.92-1.fc25, gnome-logs-3.21.92-1.fc25, gnome-maps-3.21.92-2.fc25, gnome-mines-3.21.92-1.fc25, gnome-multi-writer-3.21.92-1.fc25, gnome-music-3.21.92-1.fc25, gnome-nibbles-3.21.92-1.fc25, gnome-online-accounts-3.21.92-1.fc25, gnome-packagekit-3.21.92-1.fc25, gnome-photos-3.21.92-1.fc25, gnome-power-manager-3.21.92-1.fc25, gnome-settings-daemon-3.21.92.1-1.fc25, gnome-shell-3.21.92-1.fc25, gnome-shell-extension-background-logo-3.21.92-1.fc25, gnome-shell-extensions-3.21.92-1.fc25, gnome-software-3.21.92-1.fc25, gnome-sound-recorder-3.21.92-1.fc25, gnome-system-monitor-3.21.92-1.fc25, gnome-taquin-3.21.92-1.fc25, gnome-terminal-3.21.92-1.fc25, gobject-introspection-1.49.2-1.fc25, grilo-0.3.2-1.fc25, grilo-plugins-0.3.3-1.fc25, gtk3-3.21.6-2.fc25, gtkmm30-3.21.6-1.fc25, gtksourceview3-3.21.6-1.fc25, gvfs-1.29.92-1.fc25, iagno-3.21.92-1.fc25, libgnomekbd-3.21.92-1.fc25, lightsoff-3.21.92-1.fc25, mutter-3.21.92-1.fc25, nautilus-3.21.92-1.fc25, orca-3.21.92-1.fc25, pango-1.40.3-1.fc25, polari-3.21.92-1.fc25, pygobject3-3.21.92-1.fc25, rygel-0.31.6-1.fc25, shotwell-0.23.7-1.fc25, sound-juicer-3.21.92-1.fc25, swell-foop-3.21.92-1.fc25, tracker-1.9.2-1.fc25, vinagre-3.21.92-1.fc25, vino-3.21.92-1.fc25, vte291-0.45.92-1.fc25, webkitgtk4-2.13.92-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 13 Fedora Update System 2016-09-20 20:37:56 UTC
atomix-3.21.92-1.fc25 baobab-3.21.92-1.fc25 cheese-3.21.92-1.fc25 dconf-editor-3.21.92-1.fc25 devhelp-3.21.92-1.fc25 epiphany-3.21.92-1.fc25 evince-3.21.92-1.fc25 evolution-3.21.92-1.fc25 evolution-data-server-3.21.92-1.fc25 evolution-ews-3.21.92-1.fc25 evolution-mapi-3.21.92-1.fc25 file-roller-3.21.91-2.fc25 five-or-more-3.21.92-1.fc25 gdk-pixbuf2-2.35.5-1.fc25 gitg-3.21.92-1.fc25 glib2-2.49.7-1.fc25 glibmm24-2.49.7-1.fc25 gnome-2048-3.21.92-1.fc25 gnome-boxes-3.21.92-1.fc25 gnome-calculator-3.21.92-1.fc25 gnome-calendar-3.21.92-1.fc25 gnome-color-manager-3.21.92-1.fc25 gnome-desktop3-3.21.92-1.fc25 gnome-documents-3.21.92-1.fc25 gnome-initial-setup-3.21.92-1.fc25 gnome-logs-3.21.92-1.fc25 gnome-maps-3.21.92-2.fc25 gnome-mines-3.21.92-1.fc25 gnome-multi-writer-3.21.92-1.fc25 gnome-music-3.21.92-1.fc25 gnome-nibbles-3.21.92-1.fc25 gnome-online-accounts-3.21.92-1.fc25 gnome-packagekit-3.21.92-1.fc25 gnome-photos-3.21.92-1.fc25 gnome-power-manager-3.21.92-1.fc25 gnome-settings-daemon-3.21.92.1-1.fc25 gnome-shell-3.21.92-1.fc25 gnome-shell-extension-background-logo-3.21.92-1.fc25 gnome-shell-extensions-3.21.92-1.fc25 gnome-software-3.21.92-1.fc25 gnome-sound-recorder-3.21.92-1.fc25 gnome-system-monitor-3.21.92-1.fc25 gnome-taquin-3.21.92-1.fc25 gnome-terminal-3.21.92-1.fc25 gobject-introspection-1.49.2-1.fc25 grilo-0.3.2-1.fc25 grilo-plugins-0.3.3-1.fc25 gtk3-3.21.6-2.fc25 gtkmm30-3.21.6-1.fc25 gtksourceview3-3.21.6-1.fc25 gvfs-1.29.92-1.fc25 iagno-3.21.92-1.fc25 libgnomekbd-3.22.0.1-1.fc25 lightsoff-3.21.92-1.fc25 mutter-3.21.92-1.fc25 nautilus-3.21.92-1.fc25 orca-3.21.92-1.fc25 pango-1.40.3-1.fc25 polari-3.21.92-1.fc25 pygobject3-3.21.92-1.fc25 rygel-0.31.6-1.fc25 shotwell-0.23.7-1.fc25 sound-juicer-3.21.92-1.fc25 swell-foop-3.21.92-1.fc25 tracker-1.9.2-1.fc25 vinagre-3.21.92-1.fc25 vino-3.21.92-1.fc25 vte291-0.45.92-1.fc25 webkitgtk4-2.13.92-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 14 Fedora Update System 2016-09-22 07:31:54 UTC
atomix-3.21.92-1.fc25, baobab-3.21.92-1.fc25, cheese-3.21.92-1.fc25, dconf-editor-3.21.92-1.fc25, devhelp-3.21.92-1.fc25, epiphany-3.21.92-1.fc25, evince-3.21.92-1.fc25, evolution-3.21.92-1.fc25, evolution-data-server-3.21.92-1.fc25, evolution-ews-3.21.92-1.fc25, evolution-mapi-3.21.92-1.fc25, file-roller-3.21.91-2.fc25, five-or-more-3.21.92-1.fc25, gdk-pixbuf2-2.35.5-1.fc25, gitg-3.21.92-1.fc25, glib2-2.49.7-1.fc25, glibmm24-2.49.7-1.fc25, gnome-2048-3.21.92-1.fc25, gnome-boxes-3.21.92-1.fc25, gnome-calculator-3.21.92-1.fc25, gnome-calendar-3.21.92-1.fc25, gnome-color-manager-3.21.92-1.fc25, gnome-desktop3-3.21.92-1.fc25, gnome-documents-3.21.92-1.fc25, gnome-initial-setup-3.21.92-1.fc25, gnome-logs-3.21.92-1.fc25, gnome-maps-3.21.92-2.fc25, gnome-mines-3.21.92-1.fc25, gnome-multi-writer-3.21.92-1.fc25, gnome-music-3.21.92-1.fc25, gnome-nibbles-3.21.92-1.fc25, gnome-online-accounts-3.21.92-1.fc25, gnome-packagekit-3.21.92-1.fc25, gnome-photos-3.21.92-1.fc25, gnome-power-manager-3.21.92-1.fc25, gnome-settings-daemon-3.21.92.1-1.fc25, gnome-shell-3.21.92-1.fc25, gnome-shell-extension-background-logo-3.21.92-1.fc25, gnome-shell-extensions-3.21.92-1.fc25, gnome-software-3.21.92-1.fc25, gnome-sound-recorder-3.21.92-1.fc25, gnome-system-monitor-3.21.92-1.fc25, gnome-taquin-3.21.92-1.fc25, gnome-terminal-3.21.92-1.fc25, gobject-introspection-1.49.2-1.fc25, grilo-0.3.2-1.fc25, grilo-plugins-0.3.3-1.fc25, gtk3-3.21.6-2.fc25, gtkmm30-3.21.6-1.fc25, gtksourceview3-3.21.6-1.fc25, gvfs-1.29.92-1.fc25, iagno-3.21.92-1.fc25, libgnomekbd-3.22.0.1-1.fc25, lightsoff-3.21.92-1.fc25, mutter-3.21.92-1.fc25, nautilus-3.21.92-1.fc25, orca-3.21.92-1.fc25, pango-1.40.3-1.fc25, polari-3.21.92-1.fc25, pygobject3-3.21.92-1.fc25, rygel-0.31.6-1.fc25, shotwell-0.23.7-1.fc25, sound-juicer-3.21.92-1.fc25, swell-foop-3.21.92-1.fc25, tracker-1.9.2-1.fc25, vinagre-3.21.92-1.fc25, vino-3.21.92-1.fc25, vte291-0.45.92-1.fc25, webkitgtk4-2.13.92-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.